/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "action.h"
#include "flop.h"
#include "../../debug/log.h"

typdef struct {
  uint8_t player;
} actionaidata_t;

pokeraction_t actionAi();

void actionAiInit(int32_t index, void *data);
void actionAiUpdate(int32_t index, void *data);
void actionAiDispose(int32_t index, void *data);